org.jgroups.stack

## Class RangeBasedRetransmitter.RangeTask

- java.lang.Object
- - org.jgroups.stack.Retransmitter.Task
  - - org.jgroups.stack.RangeBasedRetransmitter.RangeTask

All Implemented Interfaces:
  java.lang.Runnable, TimeScheduler.Task

Enclosing class:
  RangeBasedRetransmitter

    protected class RangeBasedRetransmitter.RangeTask
    extends Retransmitter.Task

### Field Summary

Fields
`protected Seqno` `range`

### Fields inherited from class org.jgroups.stack.Retransmitter.Task

`cancelled, command, future, intervals, msg_sender, num_retransmits`

### Constructor Summary

Constructors
`protected` `RangeBasedRetransmitter.RangeTask(Seqno range, Interval intervals, Retransmitter.RetransmitCommand cmd, Address msg_sender)`

### Method Summary

Methods
`protected void` `callRetransmissionCommand()`
`java.lang.String` `toString()`

### Methods inherited from class org.jgroups.stack.Retransmitter.Task

`cancel, doSchedule, getNumRetransmits, nextInterval, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### range

    protected final Seqno range

### Constructor Detail

#### RangeBasedRetransmitter.RangeTask

    protected RangeBasedRetransmitter.RangeTask(Seqno range,
                                     Interval intervals,
                                     Retransmitter.RetransmitCommand cmd,
                                     Address msg_sender)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### callRetransmissionCommand

    protected void callRetransmissionCommand()

Specified by:
  `callRetransmissionCommand` in class `Retransmitter.Task`